# Yahoo! UI Library

### DataSource Utility 2.6.0

Yahoo! UI Library > datasource > YAHOO.util.DataSource

Show Private Show Protected Show Deprecated

## Class YAHOO.util.DataSource

Factory class for creating a BaseDataSource subclass instance. The sublcass is determined by oLiveData's type, unless the dataType config is explicitly passed in.

### Constructor

YAHOO.util.DataSource `( oLiveData , oConfigs )`

Parameters:
  `oLiveData <HTMLElement>` Pointer to live data.
  `oConfigs <object>` (optional) Object literal of configuration values.

Copyright © 2008 Yahoo! Inc. All rights reserved.